MozillaZine

(SOLVED) Possible to revert from TB 68.1.0 (32 bit)?

User Help for Mozilla Thunderbird
Diane Vigil
 
Posts: 275
Joined: October 6th, 2010, 3:55 am

Post Posted September 19th, 2019, 4:25 pm

I upgraded from TB 68 to TB 68.1.0, only to find that certain extensions and themes no longer work. (I will leave out my complaints about the available themes.)

I did attempt to go back to TB 68, but was not able to do so AND get load of emails displayed. Apparently 68.1.0 has done something to my emails/profiles to prevent that. It also took a while to reinstall 68.1.0 such that I could see my emails again, of which there are a ton.

My real complaint is that the developer of the theme I was using said TB no longer supports full themes, so he will not be updating it.

Any solutions to going back to 68 or earlier from 68.1.0? Am I out of luck?
Last edited by Diane Vigil on September 20th, 2019, 6:44 pm, edited 2 times in total.

kerft
 
Posts: 509
Joined: January 30th, 2019, 9:38 am

Post Posted September 19th, 2019, 8:21 pm

This thread is pretty similar - viewtopic.php?f=39&t=3055066
According to that thread, 68 should not have been better than 68.1. Only reverting to 60.9 should have brought extensions back. If extensions are showing as compatible with 68 but not 68.1 that is probably a bug and may be fixed soon or the addon server may automatically send a note that it is compatible.
That thread explains how to go to 60.9. If you do want to use 60.9 and your emails and old extensions and theme do not show in it. Hopefully they should. If they do not, more detail could be needed. For example, do you have a full backup of your computer or at least Thunderbird profile from not too long ago?

tanstaafl
Moderator

User avatar
 
Posts: 45868
Joined: July 30th, 2003, 5:06 pm

Post Posted September 19th, 2019, 9:18 pm

I'm surprised several add-ons would break due to a minor version update. What add-ons broke?

My impression is that complete themes don't work with 68.* (just like in Firefox, due to the lack of the appropriate WebExtension API support), just the WebExtension equivalent of lightweight themes. You can install themes from either thunderbird.net or https://addons.mozilla.org/en-US/firefox/ for 68.*.

Diane Vigil
 
Posts: 275
Joined: October 6th, 2010, 3:55 am

Post Posted September 19th, 2019, 11:27 pm

Thanks. Okay, I'll try installing 60.9 per the instructions on that page. Do I uninstall 68.1.0 first?

(And yes, I have full backups of my computer from August 31st, and will back up again before I do this.)

kerft
 
Posts: 509
Joined: January 30th, 2019, 9:38 am

Post Posted September 20th, 2019, 5:25 am

Yes, uninstall 68.1.0 first.

wsmwk
 
Posts: 2583
Joined: December 7th, 2004, 6:52 am

Post Posted September 20th, 2019, 6:40 am

To repeat tanstaafl....

Which addons broke ?

Please list them

Diane Vigil
 
Posts: 275
Joined: October 6th, 2010, 3:55 am

Post Posted September 20th, 2019, 11:30 am

Thanks, kerft. Much appreciated.

Addons/themes that were rendered incompatible:
ImportExport Tools
Various Lightning addons
Theme Font & Size Changer
Phoenity Shredder theme

Strangely, though, everything seemed to be working, including the theme, with the TB 68 upgrade, until the TB 68.1.0 upgrade.

tanstaafl
Moderator

User avatar
 
Posts: 45868
Joined: July 30th, 2003, 5:06 pm

Post Posted September 20th, 2019, 1:37 pm

ImportExportTools was replaced by ImportExportToolsNG for version 68.
There is no version of Theme Font & Size Changer for 68.* AFAIK
Phoenity Shredder theme is a complete theme, I doubt it ever worked with version 68. The add-ons web page suggests using https://addons.thunderbird.net/en-US/th ... ity-icons/ as a limited replacement (just provides different icons) for 68

Any possibility you really used 60.8 (or the 60.9 upgrade) when you thought you were using 68.0? That would be consistent with what you said broke.

Diane Vigil
 
Posts: 275
Joined: October 6th, 2010, 3:55 am

Post Posted September 20th, 2019, 4:02 pm

tanstaafl wrote:Any possibility you really used 60.8 (or the 60.9 upgrade) when you thought you were using 68.0? That would be consistent with what you said broke.


Hmm. Not sure now. I'll be you're right!

Diane Vigil
 
Posts: 275
Joined: October 6th, 2010, 3:55 am

Post Posted September 20th, 2019, 6:08 pm

Well, I've follows the steps to reinstall TB 60.9 (and turned off the auto-update feature) and it worked perfectly.

Thanks so much for all your help! Very much appreciated!

Return to Thunderbird Support


Who is online

Users browsing this forum: No registered users and 4 guests